const elasticsearch = require('elasticsearch');

module.exports = config => {
  const CONF = config.es;
  
  let host = '127.0.0.1:9200';
  let log = 'error';
  let client;

  if (CONF) {
    host = CONF.host;
    log = CONF.log;
  }
  
  try {
    client = new elasticsearch.Client({ host, log });
    console.info(`Elasticsearch: Adding connection to ${host}`);
    return client;
  } catch(err) {
    console.error('redis connect err:', err);
  }
};
