const StatsD = require('statsd-client');

module.exports = class statsd {
  constructor(config) {
    let { statsd_url = '127.0.0.1:8125' } = config;
    const [ host, port ] = statsd_url.split(':');

    this.KEY = 'perf.filter';
    this.statsd = new StatsD({ host, port: Number(port) });
    console.info(`statsd: Adding connection to ${statsd_url}`);
  }

  incr(str) {
    this.statsd.increment(`${this.KEY}.${str}`);
  }

  increment(...args) {
    this.statsd.increment(`${this.KEY}.${args.join('.')}`)
  }

  timing(title, delta) {
    this.statsd.timing(`${this.KEY}.${title}`, delta);
  }
}
