const ava = require('ava');
const Util = require('util');
const Plugin = require('../index');

ava('redis connect', t => {
  const plugin = new Plugin({
    redis: {
      host: '127.0.0.1',
      port: 6379
    }
  });
  const redis = plugin.redis;

  t.true(Util.isObject(redis));
  t.true(Util.isFunction(redis.hincrby));
});

ava('elasticsearch connect', t => {
  const plugin = new Plugin({
    es: {
      host: '127.0.0.1:9200',
      log: 'error'
    }
  });
  const es = plugin.es;
  t.true(Util.isObject(es));
  t.true(Util.isFunction(es.search));
  t.true(Util.isFunction(es.bulk));
});

ava('statsd connect', t => {
  const plugin = new Plugin({
    statsd_url: '127.0.0.1:8125'
  });
  const stats = plugin.stats;
  t.true(Util.isObject(stats));
  t.true(Util.isFunction(stats.incr));
  t.true(Util.isFunction(stats.increment));
  t.true(Util.isFunction(stats.timing));
});
