'use strict';
const PluginError = require('./plugin-error')

function isPluginError (error) { 
  return error instanceof PluginError 
}

function ensurePluginError (error) {
  if (isPluginError(error)) return error
  if (error.message) return new PluginError(error.message, error.pluginName)

  return new PluginError(String(error))
}

module.exports = {
  isPluginError,
  ensurePluginError
};
